<?php
// Widgetize Sidebar
if ( function_exists('register_sidebar') ) {
	register_sidebar(array(
		'before_widget' => '<li id="%1$s" class="widget %2$s">',
		'after_widget' => '</li>',
		'before_title' => '<h2 class="widgettitle">',
		'after_title' => '</h2>',
	));
}

// mortgage head //
function mortgage_head() {
  $color = get_option('mortgage_color');
  $head = "<style type='text/css'>\n";
  $output = '';
  $output .= "#header, #sidebar h2, #content heading, #content .section-heading, #searchform label, #searchsubmit, #submit, #content .col-heading, th, td#today, #sidebar a:hover, #footer { color: white; background: " . $color ."; }\n" . "a { color: " . $color . "; }\n" . "li.current_page_item>a, li.current-cat>a { color: white; background: " . $color ."; }\n" . "#searchsubmit:hover, #submit:hover { background: #f0f0f0; color: " . $color . "; }\n" . "#content .post-navigation, blockquote { border-color: " . $color . "; }\n" . "input[type='submit'], input[type='button'] { color: white; background: " . $color ."; }\n" . "input[type='submit']:hover, input[type='button']:hover { background: #f0f0f0; color: " . $color . "; }\n";
  $foot = "</style>\n";
  if ( '' != $output )
    echo $head . $output . $foot;
}

add_action('wp_head', 'mortgage_head');




// Theme Variable
$themename = 'mortgage';


// Options Variable
$options['logo'] = array(
  'name' => 'Custom Logo',
  'id' => $themename . '_logo',
  'value' => '',
  'default' => 'images/logo.png');

$options['color'] = array(
  'name' => 'Select Color Schema',
  'id' => $themename . '_color',
  'value' => '',
  'default' => 'rgb(59, 115, 185)');

$options['photo'] = array(
  'name' => 'Front Widget Photo',
  'id' => $themename . '_fwidget_photo',
  'value' => '',
  'default' => 'images/photo.jpg');

$options['fwheading'] = array(
  'name' => 'Front Widget Heading',
  'id' => $themename . '_fwidget_heading',
  'value' => '',
  'default' => 'Mortgagecorp provides fantastic service to Businesses and Entrepreneurs looking for loans');

$options['fwtext'] = array(
  'name' => 'Front Widget Text',
  'id' => $themename . '_fwidget_text',
  'value' => '',
  'default' => 'We can provide mortgages and finance for Investors, Business Owners and Home owners looking for refinance, lines of credit and business leasing and other types of business oriented finance. We have +15 lenders on our lending panel and great relationships with senior lending people in our lenders and can put forward a good case for your project');

$options['secheading'] = array(
  'name' => 'Section News Heading',
  'id' => $themename . '_section_news_heading',
  'value' => '',
  'default' => 'Finance News');

$options['seccat'] = array(
  'name' => 'Section Category',
  'id' => $themename . '_section_cat_id',
  'value' => '',
  'default' => get_option('default_category'));

$color_schema = array('3a7c0e', '004400', 'dd2a2b', 'ff6600', '3771c8', '214478', '00117c', '800080', '8c93d3', 'b7bec8', '9dde67', 'f2bc2e', '000000', '404040', '00b400');

// add default options to databaase
function mortgage_add_default() {
  global $options;
  foreach ($options as $option) {
    if (!get_option($option['id'])) {
      update_option($option['id'], $option['default']);
    }
  }
}

add_action('admin_menu', 'mortgage_add_default');

// Mortgage Theme Admin Panel

add_action('admin_menu', 'mortgage_add_theme_page');

function mortgage_add_theme_page() {
  add_menu_page('Mortgage Options', 'Mortgage', 8, __FILE__, 'mortgage_options');
}

function mortgage_options() {

  global $options, $color_schema;
  $hidden_field_name = 'mortgage_submit_hidden';

  // update options
  if ($_POST[$hidden_field_name] == 'Y') {
    foreach ($options as $option) {
      $value = $_POST[$option['id']];
      if (!$value) {
        update_option($option['id'], $option['default']);
      } else {
        update_option($option['id'], $value);
      }
    }

// Admin Page Layout
  ?>
<div class="updated"><p><strong><?php _e('Options saved.'); ?></strong></p></div>
<?php
  }
  ?>
<div class="wrap">
<style type="text/css">
<!--
  #color-picker td { width: 50px; height: 30px; margin: 0px; padding: 0px; border: 2px solid #eee; cursor: pointer; }
  #color-picker td:hover { opacity: 0.5; }
  #current-color { display: block; width: 80px; height: 40px; vertical-align: middle; border: 2px solid #eee; }
-->
</style>
<script type="text/javascript">
// <![CDATA[
  var DEFAULT_COLOR = "<?php echo $options['color']['default']; ?>";
  function selectColor(color) {
    var dest = document.getElementById('current-color');
    dest.style.background = color;
    data = document.getElementById("<?php echo $options['color']['id']; ?>");
    data.value = color;
  }
  function resetColor() {
    selectColor(DEFAULT_COLOR);
  }
// ]]>
</script>

  <h2>Mortgage Options</h2>
  <form method="post" action="<?php echo str_replace( '%7E', '~', $_SERVER['REQUEST_URI']); ?>">
    <input type="hidden" name="<?php echo $hidden_field_name; ?>" value="Y" />

    <h3>Color Schema</h3>
    <table class="form-table">
      <tr>
        <th scope="row"><label for="current-color">Current Color</label></th>
        <td>
          <span id="current-color" name="current-color" style="background: <?php echo get_option($options['color']['id']); ?>;"></span>
          <input type="hidden" id="<?php echo $options['color']['id']; ?>" name="<?php echo $options['color']['id']; ?>" value="<?php echo get_option($options['color']['id']); ?>" />
        </td>
      </tr>
      <tr>
        <th scope="row"><label>Color Picker</label></th>
        <td>
          <table id="color-picker">
          <tr>
          <?php foreach ($color_schema as $keycolor) { ?>
              <td style="background: #<?php echo $keycolor; ?>;" onclick="selectColor(this.style.background);"></td>
          <?php } ?>
          </tr>
          </table>
        </td>
      </tr>
    </table>
    <input type="button" class="button-secondary" value="<?php _e('Reset Color Schema'); ?>" onclick="resetColor();" />

    <h3>Custom Logo</h3>
    <table class="form-table">
      <tr>
        <th scope="row"><label>Specify Logo's URL</label></th>
        <td>
          <input type="text" name="<?php echo $options['logo']['id']; ?>" class="regular-text" value="<?php echo get_option($options['logo']['id']); ?>" />
          <span class="description">Enter logo's URL here. <code>relative to theme directory</code></span>
        </td>
      </tr>
    </table>

    <h3>Custome Front Widget</h3>
    <table class="form-table">
      <tr>
        <th>Photo's URL</th>
        <td>
          <input type="text" name="<?php echo $options['photo']['id']; ?>" class="regular-text" value="<?php echo get_option($options['photo']['id']); ?>" />
          <span class="description">Enter widget's photo URL here. <code>relative to theme directory</code></span>
        </td>
      </tr>
      <tr>
        <th>Heading</th>
        <td>
          <input type="text" name="<?php echo $options['fwheading']['id']; ?>" class="regular-text" value="<?php echo get_option($options['fwheading']['id']); ?>" />
          <span class="description">Enter widget's heading here.</span>
        </td>
      </tr>
      <tr>
        <th>Text Content</th>
        <td><textarea name="<?php echo $options['fwtext']['id']; ?>" rows="10" cols="30" class="large-text code"><?php echo get_option($options['fwtext']['id']); ?></textarea></td>
      </tr>
    </table>
    <h3>Frontpage Content</h3>
    <table class="form-table">
      <tr>
        <th>News Heading</th>
        <td>
          <input type="text" name="<?php echo $options['secheading']['id']; ?>" class="regular-text" value="<?php echo get_option($options['secheading']['id']); ?>" />
        </td>
      </tr>
      <tr>
        <th>Product Category</th>
        <td>
          <?php wp_dropdown_categories('name=' . $options['seccat']['id'] . '&hierarchical=1&selected=' . get_option($options['seccat']['id'])); ?>
        </td>
      </tr>
    </table>
    <p class="submit">
      <input type="submit" class="button-primary" value="<?php _e('Save Changes'); ?>" />
    </p>
  </form>
</div>

<?php
} // Admin Panel End



// Mortgage Functions

function mortgage_get_category() {
  $category = get_the_category();
  echo $category[0]->cat_name;
}



// Custom Footer

function mortgage_footer() {
  
  $link_anchors = array("calculator.mortgagecorp.com.au", "calculator.mortgagecorp.com.au", "mortgagecorp.com.au/residential-investors/mortgage-refinancing/", "mortgagecorp.com.au", "mortgagecorp.com.au", "mortgagecorp.com.au/", "mortgagecorp.com.au/business-commercial/", "mortgagecorp.com.au/business-commercial/commercial-industrial-mortgages/", "mortgagecorp.com.au/residential-investors/low-doc-loans/", "calculator.mortgagecorp.com.au",  "calculator.mortgagecorp.com.au", "calculator.mortgagecorp.com.au", "calculator.mortgagecorp.com.au", "calculator.mortgagecorp.com.au", "calculator.mortgagecorp.com.au", "mortgagecorp.com.au", "www.mortgagecorp.com.au", "mortgagecorp.com.au/residential-investors/mortgage-refinancing/", "mortgagecorp.com.au/category/mortgage-news/", "mortgagecorp.com.au/category/mortgage-news/", "calculator.mortgagecorp.com.au", "www.mortgagecorp.com.au", "mortgagecorp.com.au/comparison-rates/", "mortgagecorp.com.au/comparison-rates/");
  $link_titles = array("MortgageCorp Loan Calculators", "Homeloan Calculator", "Refinance Home Loan", "Sydney Mortgage Broker", "Mortgage Broker NSW", "Mortgage Broker Sydney", "Commercial Finance", "Commercial Office Mortgage", "Low Doc Loans", "Mortgage Choices", "Loan Calculator", "Repayment Calculator", "Australian Mortgage Calculator", "Mortgage Insurance Calculator", "Mortgage Interest Calculator", "Repayment Calculator", "Aussie Mortgage Brokers", "Choice Home Loans", "Home Loan Refinance", "Mortgage Rates", "Interest Rates", "Best Mortgages", "Best Interest Rates", "Comparison Rates", "Interest Comparison Rates");
  $link_texts = array("MortgageCorp Loan Calculator", "Home Loan Calculator", "Refinance Home Loan", "Mortgage Broker Sydney", "NSW Mortgage Broker", "Commercial Property Finance", "Commercial Office Finance", "Low Doc Loan", "Low Doc Loans", "Mortgage Chooser", "Loan Calculators", "Repayment Calculators", "Australian Mortgage Calculator", "Mortgage Insurance Calculator", "Mortgage Interest Calculator", "Repayment Calculator", "Aussie Mortgage Brokers", "Choice Home Loans", "Refinance", "Mortgage Rates", "Interest Rates", "Best Interest Rates", "Mortgage Interest Rates", "Comparison Rates", "Interest Comparison Rates");
  
  $id = get_the_ID();
  $index = $id % 25;

  $footer_content = 'Powered by <a href="http://wordpress.org">Wordpress</a> - Designed by ' . '<a href="http://' . $link_anchors[$index] . '" title="' . $link_titles[$index]. '">' . $link_texts[$index] . '</a>';

  echo $footer_content;
}

?>